新手请教一个问题the development server returned response error code:500 错误



  • 错误详情:
    {"type":"InternalError","errors":[],"message":"Metro Bundler has encountered an error: SHA-1 for file C:\Users\a4646\AppData\Roaming\npm\node_modules\react-native\node_modules\metro\src\lib\polyfills\require.js (C:\Users\a4646\AppData\Roaming\npm\node_modules\react-native\node_modules\metro\src\lib\polyfills\require.js) is not computed"}
    是在运行react-native start 更新时出的错误!能够正常运行react-native run-android ;win10的操作系统,node版本12.0.0 npm版本6.9.0 react-native版本3.0.4



  • 看路径是把react-native装到了全局?
    先卸载试试
    npm uninstall -g react-native



  • 好的谢谢!我去试下看看



  • 非常感谢,这个问题解决了,把nodejs卸载重新装,我用了npm uninstall -g react-native 发现还可以使用react-native命令,然后我就全盘查找react-native发现有个以前没有卸载干净的npm包,我把nodejs全部卸载了,然后手动删掉所有npm文件夹 重新安装,现在可以了!谢谢


Log in to reply